ECHO OFF
if "%1"=="" goto Error

.\CHECK %1\SYSTEM\OLE2.DLL
.\CHECK %1\SYSTEM\STORAGE.DLL
.\CHECK %1\SYSTEM\OLE2NLS.DLL
.\CHECK %1\SYSTEM\CTL3DV2.DLL
.\CHECK %1\SYSTEM\COMPOBJ.DLL
.\CHECK %1\SYSTEM\OLE2CONV.DLL
.\CHECK %1\SYSTEM\OLE2DISP.DLL
.\CHECK %1\SYSTEM\OLE2PROX.DLL

goto End

:Error
ECHO Command format: S (path of Windows)

:End
ECHO ON
